OpenNMS API 1.2.9

## org.opennms.protocols.snmp
Class SnmpTimer.TimeoutElement

    java.lang.Object
      org.opennms.protocols.snmp.SnmpTimer.TimeoutElement

Enclosing class:
  SnmpTimer

private class SnmpTimer.TimeoutElement
extends java.lang.Object

Used to track the individual runnables and when the runnable "expires".

Field Summary
`java.lang.Runnable` `m_toRun` The runnable object
`java.util.Date` `m_when` The date to run the runnable

Constructor Summary
`(package private)` `SnmpTimer.TimeoutElement(long offset, java.lang.Runnable what)` Default Constructor.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_toRun

    public java.lang.Runnable m_toRun

  The runnable object

### m_when

    public java.util.Date m_when

  The date to run the runnable

Constructor Detail

### SnmpTimer.TimeoutElement

    SnmpTimer.TimeoutElement(long offset,
                             java.lang.Runnable what)

  Default Constructor. Takes an Offset from now and a runnable that will be executed.

Parameters:
  `offset` - The offset from the current time in milliseconds.
  `what` - The runnable to be executed

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.